//motors.h

#ifndef _motors_h_
#define _motors_h_
#include <sys/types.h>
#include "config.h"

//переменные для приводов
typedef struct _MOTORS
{
	int16_t	motors[_motors_cnt];		//задания для моторов
	int16_t	rmotors[_motors_cnt];		//прочитанные значения моторов
	int16_t	servos[_servos_cnt];		//задания для серврмашин
	int16_t	rservos[_servos_cnt];		//прочитанные значения сервомашин
	u_int16_t	tloop;				//маркер времени шилда
} MOTORS;

//ожидание для устройства
extern int 	wait_dev;
//тест приводов
extern int	ctest(char * serial, int baudrate, int wait_dev);
//управление приводами
int	mcontrol(int num_work);

#endif

