//config.h

#ifndef _config_h_
#define _config_h_

//#include "types.h"
#include "tdef.h"

/*
****************
* конфигурация *
****************
*/
/* задаём - указываем */
// == сообщения для отладки ==
//определяет, что в консоли вудут выводиться сообщения
#define _mode_dbg			1
// == мы клиент ==
//мы кодключаемся к серверу в начале работы
#define _mode_client			0
// == номер идентификации ==
//наш номер идентификации по умолчанию (Номер)
#define _main_id_num			1
// == функциональное назначение ==
//камера OpenCV
#define _func_cam			0
//поворот камеры
#define _func_cam_move			1


/* по заданию */
// == мы сервер ==
#if(_mode_client == 0)
	#define _mode_server		1	//сервер
#else
	#define _mode_server		0	//клиент
#endif
// == тип идентификации ==
//видеокамера
#if(_func_cam)
	#define _mitc			(_cfg_sens | _cfg_video | _cfg_OpenCV)
#else
	#define _mitc			0
#endif
//перемещение видеокамеры и управление приводами
#if(_func_cam_move)
	#define _mitcm			(_cfg_mcntrl | _cfg_move_cam)
#endif
//наш идентификатор типа
#define _main_id_type			(_mitc | _mitcm | _mode_server)

//количество моторов движения
#define _motors_cnt			4
//количество сервомашин
#define _servos_cnt			18

#endif

