//id.h

#ifndef _id_h_
#define _id_h_
#include "tdef.h"
#include "types.h"

extern DID	mainID;
extern DID	serverID;	//идентификатор сервера
//
extern void	IDinit(void);
//установка (изменение) номера идентификации
extern void	IDsetNum(U16 num);
//#if(_mode_server == 1)
//проверка и новый номер идентификации клиенту
extern U32	IDNumForClient(U8 * indat, U8 * outdat);
//#endif
//обработка идентификации
extern U32	IDworkIDmain(U8 * indat, U8 * outdat);
//формирование запроса идентификации
extern void	IDworkIDrequest(U8 * outdat);
//обработка ответа на запрос
extern void	IDworkIDanswer(U8 * indat);

/*
*************************************
внешние запросы
*************************************
*/
#if(_mode_server == 0)
extern U16 	ReadIDTserver(void);
#endif

#if(_mode_server == 0)
extern U16 	ReadIDNserver(void);
#endif

#endif

