//motors.h

#ifndef _motors_h_
#define _motors_h_
#include "types.h"
#include "config.h"

//переменные для приводов
typedef struct _MOTORS
{
	I16	motors[_motors_cnt];		//задания для моторов
	I16	rmotors[_motors_cnt];		//прочитанные значения моторов
	I16	servos[_servos_cnt];		//задания для серврмашин
	I16	rservos[_servos_cnt];		//прочитанные значения сервомашин
	U16	tloop;				//маркер времени шилда
} MOTORS;

//ожидание для устройства
extern int 	wait_dev;
//тест приводов
extern int	ctest(char * serial, int baudrate, int wait_dev);
//управление приводами
int	mcontrol(int num_work);

#endif

